Subject: Re: [MIB-DOCTORS] question on rfc 4181

From: "C. M. Heard" <[email-masked]>
Date: Sat, 23 Feb 2008 14:31:41 -0800 (PST)

Hello Joe,

As far as I am aware, it is legitimate for an AUGMENTing row to 
contain a RowStatus object that governs row creation in a main table 
that does not have one, although I cannot think of any specific 
examples offhand.  It is definitely allowed inthe case of a "sparse 
augmentation" -- see Section 3.1.17 of RFC 2863 (IF-MIB) for a 
well-known example -- and it seems to me that a 1-for-1 augmentation 
would be no different.

cc:'d to the MIB Doctors to get other opinions, since I am retired 
from the MIB business.

Mike

On Thu, 21 Feb 2008, Joe Li wrote:
> Hi,
> 
>  
> 
> I have a question regarding the following section in RFC 4181, section
> 4.6.4
> 
>  
> 
> "Note that RFC 2578 Section 7.8 requires that the lifetime of an
> 
>    instance of a conceptual row that AUGMENTS a base row must be the
> 
>    same as the corresponding instance of the base row.  It follows that
> 
>    there is no need for a RowStatus or StorageType column in an
> 
>    augmenting row if one is already present in the base row."
> 
>  
> 
> If the base does not have a RowStatus column, does the section allude to
> use a RowStatus in augmentation? In particular, does it allow to use
> RowStatus in augmentation to create a row in base as well. It seems to
> me it is not recommended, but would like to clarify.
> 
>  
> 
>  
> 
> Thanks,
> 
> /Joe
> 
> 
_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/mib-doctors